ListOwners
curl --request GET \
--url https://developer.synq.io/api/owners/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://developer.synq.io/api/owners/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.synq.io/api/owners/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"owners": [
{
"id": "<string>",
"entityId": "<string>",
"title": "<string>",
"contacts": [
{
"email": {
"recipientEmails": [
"jsmith@example.com"
]
}
}
],
"etag": "<string>",
"createdBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}
],
"pageInfo": {
"totalCount": 123,
"count": 123,
"lastId": "<string>"
}
}synq.owners.v1.OwnersService
ListOwners
List the owners in the workspace, paginated.
GET
/
api
/
owners
/
v1
ListOwners
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.
Maximum number of items to return in a single page. If not provided, defaults vary per API.
Required range:
x >= 0Include soft-deleted owners.
⌘I